% Copyright 2019 by Emanuel Günther
%
% This file may be distributed and/or modified
% under the GNU Public License Version 3.0.
%
% See the file LICENSE.txt for more details.

\ProvidesPackage{beamerouterthemehymac}[2019/10/01 hymac beamer outer theme]

\mode<presentation>

\setbeamertemplate{page number in head/foot}[totalframenumber]%

\defbeamertemplate*{footline}{hymac}
{
	\leavevmode%
	\hbox{%
	\begin{beamercolorbox}[wd=.333333\paperwidth,ht=2.25ex,dp=1ex,center]{white}%
		\usebeamerfont{author in head/foot}\insertshortauthor\expandafter\ifblank\expandafter{\beamer@shortinstitute}{}{~~(\insertshortinstitute)}%
	\end{beamercolorbox}%
	\begin{beamercolorbox}[wd=.333333\paperwidth,ht=2.25ex,dp=1ex,center]{white}%
		\usebeamerfont{title in head/foot}\insertshorttitle%
	\end{beamercolorbox}%
	\begin{beamercolorbox}[wd=.333333\paperwidth,ht=2.25ex,dp=1ex,right]{white}%
		\usebeamerfont{date in head/foot}\insertshortdate{}\hspace*{2em}%
		\usebeamercolor[fg]{page number in head/foot}\usebeamerfont{page number in head/foot}\usebeamertemplate{page number in head/foot}\hspace*{2ex}%
	\end{beamercolorbox}}%
	\vskip5pt%
}

\defbeamertemplate*{sidebar left}{hymac}
{}

\defbeamertemplate*{sidebar right}{hymac}
{}

\defbeamertemplate*{frametitle}{hymac}[1][left]
{%
	\ifbeamercolorempty[bg]{frametitle}{}{\nointerlineskip}%
	\@tempdima=\textwidth%
	\advance\@tempdima by\beamer@leftmargin%
	\advance\@tempdima by\beamer@rightmargin%
	\hbox{
		\begin{beamercolorbox}[sep=0.3cm,#1,wd=\the\@tempdima]{frametitle}
			\usebeamerfont{frametitle}%
			\usebeamercolor[fg]{frametitle}%
			\vbox{}\vskip-1ex%
			\if@tempswa\else\csname beamer@fte#1\endcsname\fi%
			\strut\insertsectionhead::\insertframetitle\par%
			%was without section head
			{%
				\ifx\insertframesubtitle\@empty%
				\else%
				{\usebeamerfont{framesubtitle}\usebeamercolor[fg]{framesubtitle}\strut\insertframesubtitle\par}%
				\fi
			}%
			\vskip-1ex%
			\if@tempswa\else\vskip-.3cm\fi% set inside beamercolorbox... evil here...
		\end{beamercolorbox}%
		\begin{beamercolorbox}[sep=-0.1cm,wd=2.5cm,ht=1cm]{frametitle}
			\hskip-1.4cm%
			\insertlogo
		\end{beamercolorbox}
		
	}
}

\mode
<all>
